package javax.tools;

import java.util.Locale;

public interface Diagnostic<S>
{
    public static final long NOPOS = -1L;
    
    public abstract Diagnostic.Kind getKind();
    
    public abstract S getSource();
    
    public abstract long getPosition();
    
    public abstract long getStartPosition();
    
    public abstract long getEndPosition();
    
    public abstract long getLineNumber();
    
    public abstract long getColumnNumber();
    
    public abstract String getCode();
    
    public abstract String getMessage(Locale p0);
    
    public enum Kind
    {
        ERROR, 
        WARNING, 
        MANDATORY_WARNING, 
        NOTE, 
        OTHER;
    }
}
